classification
Title: sys.maxint is documented but should not be
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: blair, christian.heimes
Priority: normal Keywords:

Created on 2007-12-15 01:00 by blair, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (2)
msg58645 - (view) Author: Blair Zajac (blair) Date: 2007-12-15 01:00
There is still documentation for sys.maxint even though it no
longer exists in Python 3.0:

$ /tmp/p3.0/bin/python
Python 3.0a2 (r30a2:59382, Dec 13 2007, 11:07:38)
[GCC 3.4.3 20050227 (Red Hat 3.4.3-22.1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> [x for x in sys.__doc__.split('\n') if x.find('maxint') != -1]
['maxint -- the largest supported integer (the smallest is -maxint-1)']
>>> sys.maxint
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: 'module' object has no attribute 'maxint'
msg58647 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-15 01:28
Thanks for the bug report
I fixed the problem in r59518
History
Date User Action Args
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 3.0
2007-12-15 01:28:33christian.heimessetstatus: open -> closed
keywords: + py3k
resolution: fixed
messages: + msg58647
nosy: + christian.heimes
2007-12-15 01:00:02blaircreate